Bug 461321 - named MLS AVC creating symbolic link `/var/run/named.pid': Permission denied
named MLS AVC creating symbolic link `/var/run/named.pid': Permission denied
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-mls (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 16:17 EDT by Robert Story
Modified: 2008-10-16 16:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 16:52:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Story 2008-09-05 16:17:46 EDT
Description of problem:
named cannot create /var/run/named.pidin MLS enforcing mode.

Version-Release number of selected component (if applicable):
selinux-policy-mls-3.3.1-84.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1. enable MLS policy
2. run_init service named start
3.
  
Actual results:
ln: creating symbolic link `/var/run/named.pid': Permission denied]

Expected results:
no error

Additional info:
type=AVC msg=audit(1220627337.399:338): avc:  denied  { create } for  pid=2089 comm="ln" name="named.pid" scontext=system_u:system_r:initrc_t:s0-s15:c0.c1023 tcontext=system_u:object_r:var_run_t:s0 tclass=lnk_file

This audit2allow created rule works great:

module named 1.0;

require {
        type var_run_t;
        type initrc_t;
        class lnk_file create;
}

#============= initrc_t ==============
allow initrc_t var_run_t:lnk_file create;
Comment 1 Daniel Walsh 2008-09-08 09:37:36 EDT
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.3.1-89.fc9.noarch
Comment 2 Robert Story 2008-10-16 12:40:14 EDT
confirmed, this bug can be closed.
Comment 3 Daniel Walsh 2008-10-16 16:52:31 EDT
Feel free to close bugs you confirm.

Note You need to log in before you can comment on or make changes to this bug.